package enseirb.myinpulse.repository;

import enseirb.myinpulse.model.Entrepreneur;
import enseirb.myinpulse.model.Project;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;

@RepositoryRestResource
public interface EntrepreneurRepository extends JpaRepository<Entrepreneur, Long> {

    Iterable<Entrepreneur> getEntrepreneurByProjectParticipation(Project project);

    /* @Query("SELECT e from Entrepreneur e")
    Entrepreneur findAllEntrepreneurl(); */

}
