package enseirb.myinpulse.repository;

import enseirb.myinpulse.model.Administrator;
import enseirb.myinpulse.model.Project;
import enseirb.myinpulse.model.ProjectDecisionValue;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;

import java.util.Optional;

@RepositoryRestResource
public interface ProjectRepository extends JpaRepository<Project, Long> {
    Iterable<Project> findByProjectAdministrator(Administrator administrator);

    Iterable<Project> findByProjectStatus(ProjectDecisionValue status);

    Optional<Project> findByProjectName(String projectName);
}
